Skip to main content
GET
/
deals
List deals
curl --request GET \
  --url https://api.openquota.ai/v1/deals \
  --header 'Authorization: Bearer <token>'
{
  "deals": [
    {
      "id": "<string>",
      "source": "<string>",
      "external_id": "<string>",
      "state": {},
      "last_event_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "next_offset": 1
  }
}

Authorizations

Authorization
string
header
required

Provide your API key as Authorization: Bearer <key>. Generate keys in the OpenQuota admin under Settings → API Keys.

Query Parameters

limit
integer
default:50

Max rows to return. Capped at 500.

Required range: 1 <= x <= 500
Example:

50

offset
integer | null
default:0

Rows to skip. Combine with limit for pagination.

Required range: x >= 0

Response

A page of deals.

deals
object[]
required
pagination
object
required